Page Index Toggle Pages: [1] 2 
Topic Tools
Hot Topic (More than 10 Replies) Upgrade from yabb 1.4 all the way to current? (Read 8,315 times)
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,785
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: Upgrade from yabb 1.4 all the way to current?
Reply #23 - Jan 8th, 2012 at 4:48pm
Post Tools
You are Ok with that request

Wink

You also have a PM now.
  

I find your lack of faith disturbing.
Back to top
IP Logged
 
vernon
YaBB Newcomer
*
Offline



Posts: 1
Re: Upgrade from yabb 1.4 all the way to current?
Reply #22 - Jan 8th, 2012 at 4:26pm
Post Tools
Like the original poster, I am looking to pay someone for help upgrading a 1.3.1 YaBB forum.  I hope this is not against forum rules.  Thanks.
  
Back to top
 
IP Logged
 
Captain John
Ex Member


Re: Upgrade from yabb 1.4 all the way to current?
Reply #21 - May 7th, 2011 at 3:19pm
Post Tools
Off-Topic replies have been moved to this Topic.
  
Back to top
 
IP Logged
 
markp1313
YaBB Newcomer
*
Offline



Posts: 37
Re: Upgrade from yabb 1.4 all the way to current?
Reply #20 - May 2nd, 2011 at 7:28pm
Post Tools
I hope every thing works out.
I was trying to upgrade from 1.4
and the same thing happed at first
after converting (500) error. I found
that there were requires that had bad
files. If all else fails you might wont to
open and look at this
http://www.yabbforum.com/yabbfiles/Attachments/YaBB1.PNG

It may be something with my server only.

Good luck!
  
Back to top
 
IP Logged
 
JonB
YaBB Administrator
YaBB Next Team
Operations Team
Beta Testers
Support Team
*****
Offline



Posts: 3,785
Location: Land of the Blazing Sun!

YaBB 2.6.0
Re: Upgrade from yabb 1.4 all the way to current?
Reply #19 - Apr 29th, 2011 at 8:04pm
Post Tools
Look in your PM box

Smiley
  

I find your lack of faith disturbing.
Back to top
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #18 - Apr 29th, 2011 at 6:38pm
Post Tools
Can I just pay someone 50.00 to do this for me? Anyone available - have paypal account?
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #17 - Apr 29th, 2011 at 6:25pm
Post Tools
Let me ask this also: While I was setting chmod permissions on directories - there are two that had nothing in them and therefore I could not set them.

I did this set 755 for yabb2 Backups
but it says to chmod 666 for files inside but there are none
also 755 for Variables but there are not files inside to chmod 666.

these are the only two where I did not complete the chmod, would that hav anything to do with it?
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #16 - Apr 29th, 2011 at 6:18pm
Post Tools
Going through troubleshoot. I think perl paths are fine as is as here is info from server about perl path:

Unix/FreeBSD servers
Perl        /usr/bin/perl
Sendmail    /usr/sbin/sendmail
TCL         /usr/local/bin/tcl
Python      /usr/local/bin/python
PHP4        /hsphere/shared/php4/bin/php
PHP5        /hsphere/shared/php5/bin/php
date        /bin/date
grep        /usr/bin/grep
ImageMagick /usr/local/bin/
NetPBM      /usr/local/bin/
Home dir  /hsphere/local/home/<account_name>/

so that seems fine, correct me if wrong.

Now will go through next step. Any suggestions let me know.
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #15 - Apr 29th, 2011 at 4:57pm
Post Tools
Ok, this is terrible.

Anyway, got all permission set, etc. Opened up the URL for Setup.pl - so far so good box came up asking for user name, got in, tried without absolute path and then got internal server error 500 - went back and pressed the insert absolute path and fill in, and pressed submit and still got the error 500.

Any thoughts on what I might be doing wrong please? I have to get this right today as our forum has been down for three days.

I am discouraged.
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #14 - Apr 29th, 2011 at 12:28am
Post Tools
Thanks for all your help, you're the best. Am working on it now. Hope third time is the charm.
  
Back to top
 
IP Logged
 
Captain John
Ex Member


Re: Upgrade from yabb 1.4 all the way to current?
Reply #13 - Apr 29th, 2011 at 12:23am
Post Tools
Once you have installed and run Setup.pl and everything is working ... Be sure you reset the start date/time of the New forum to the Start Date/Time of the Old forum before you run Setup.pl again to Covert your old data files.
  
Back to top
 
IP Logged
 
Captain John
Ex Member


Re: Upgrade from yabb 1.4 all the way to current?
Reply #12 - Apr 29th, 2011 at 12:19am
Post Tools
virtualassistants wrote on Apr 28th, 2011 at 11:58pm:
some files outside the folder

virtualassistants wrote on Apr 28th, 2011 at 11:58pm:
such as ajax.js, AJS.js, etc.

  They're not "outside" the folder, they are within the yabbfiles folder.

and of course they must be uploaded.
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #11 - Apr 28th, 2011 at 11:58pm
Post Tools
On the transfer files page it said the directory should look like so but there are some files outside the folder in yabbfiles

such as ajax.js, AJS.js, etc.

Do I load those also to the server?

I appreciate all your help.
  
Back to top
 
IP Logged
 
Captain John
Ex Member


Re: Upgrade from yabb 1.4 all the way to current?
Reply #10 - Apr 28th, 2011 at 7:41pm
Post Tools
Usually an ISE 500 is not caused by CHMODs (permissions), usually it is caused by corrupt files.  ALL the files under the yabb2 folder MUST be transferred using an AscII transfer mode.  If not, they'll corrupt on transfer.
  It is true that to get a YaBB installation correct, you must assure 3 things:
1.) The Shebang (Path to Perl) must be correct in 4 files (Setup.pl, YaBB.pl, AdminIndex.pl and ModuleCheck.pl)
2) Uploading files using the correct transfer mode
3.) The correct CHMOD per file (Very Important that all the folders and *.pl files are set to at least 755)
  
Back to top
 
IP Logged
 
virtualassistants
YaBB Newcomer
*
Offline



Posts: 12
Re: Upgrade from yabb 1.4 all the way to current?
Reply #9 - Apr 28th, 2011 at 7:09pm
Post Tools
I am going to try setting them one more time.

Is there anyone here that I can pay to do this? If I cannot get this to work?
  
Back to top
 
IP Logged
 
Page Index Toggle Pages: [1] 2 
Topic Tools
 
  « Board Index ‹ Board  ^Top